[arch-commits] Commit in mp3splt/repos/extra-x86_64 (PKGBUILD mp3splt-gcc4.patch)

Tobias Powalowski tpowa at archlinux.org
Sun Apr 19 09:00:52 EDT 2009


    Date: Sunday, April 19, 2009 @ 09:00:52
  Author: tpowa
Revision: 36019

'bump to new version'

Modified:
  mp3splt/repos/extra-x86_64/PKGBUILD
Deleted:
  mp3splt/repos/extra-x86_64/mp3splt-gcc4.patch

--------------------+
 PKGBUILD           |   24 ++++++++++--------------
 mp3splt-gcc4.patch |   12 ------------
 2 files changed, 10 insertions(+), 26 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-19 12:54:53 UTC (rev 36018)
+++ PKGBUILD	2009-04-19 13:00:52 UTC (rev 36019)
@@ -2,24 +2,20 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=mp3splt
-pkgver=2.1c
-pkgrel=2
+pkgver=2.2.3
+pkgrel=1
+arch=('i686' 'x86_64')
 pkgdesc="Comandline tool for splitting mp3 and ogg files without decoding"
-arch=(i686 x86_64)
+license=('GPL')
 url="http://mp3splt.sourceforge.net"
-depends=('libmad' 'libvorbis')
-source=(http://belnet.dl.sourceforge.net/sourceforge/mp3splt/mp3splt-$pkgver-src.tar.gz mp3splt-gcc4.patch)
+depends=('libmp3splt')
+source=(http://downloads.sourceforge.net/sourceforge/mp3splt/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
 
 build() {
-  cd $startdir/src/mp3splt-$pkgver
-  patch -Np0 -i ../mp3splt-gcc4.patch
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr
   make || return 1
-  mkdir -p $startdir/pkg/usr/bin
-        for bin in mp3splt; do
-                install -D -m755 $bin $startdir/pkg/usr/bin/$bin
-        done
-        install -D -m644 mp3splt.1 $startdir/pkg/usr/man/man1/mp3splt.1
+  make DESTDIR=$pkgdir/ install || return 1
 }
-
-md5sums=('b355835e4d57b8b921a14a6485244c87' '09e08026cd98cba4bd3f0d74951ef231')
+md5sums=('aa67e24931c62d2f09be13303fbf410e')

Deleted: mp3splt-gcc4.patch
===================================================================
--- mp3splt-gcc4.patch	2009-04-19 12:54:53 UTC (rev 36018)
+++ mp3splt-gcc4.patch	2009-04-19 13:00:52 UTC (rev 36019)
@@ -1,12 +0,0 @@
-diff -urN ../tmp-orig/mp3splt-2.1/splt.h ./splt.h
---- ../tmp-orig/mp3splt-2.1/splt.h	2004-07-17 16:16:05.000000000 +0200
-+++ ./splt.h	2005-03-18 17:59:51.278527346 +0100
-@@ -96,8 +96,6 @@
- 
- char *zero_pad_float (float f, char *out);
- 
--int parse_outformat(char *s, char format[][], int cddboption);
--
- unsigned char *cleanstring (unsigned char *s);
- 
- int parse_arg(char *arg, float *th, int *gap, int *nt, float *off, int *rm, float *min);



More information about the arch-commits mailing list